Polyrankdocs
ApiLab

GET /v1/lab/limits

The caller’s Strategy Lab allowance (plan keys) and what is used: saved strategies, backtests today (UTC), backtests queued or running, active paper runs. 404 `lab_disabled` while LAB_ENABLED is off.

GET
/v1/lab/limits

The caller’s Strategy Lab allowance (plan keys) and what is used: saved strategies, backtests today (UTC), backtests queued or running, active paper runs. 404 lab_disabled while LAB_ENABLED is off.

AuthorizationBearer <token>

API key: Authorization: Bearer pk_live_… (mint at polyrank.app/api-keys)

In: header

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/lab/limits"
{  "strategy_lab": true,  "paper_trading": true,  "lab_strategies_max": 0,  "lab_backtests_per_day": 0,  "lab_paper_runs_max": 0,  "agent_daily_usd": 0,  "lab_own_rules": true,  "rules_paper": true,  "used": {    "strategies": 0,    "backtests_today": 0,    "pending_backtests": 0,    "active_paper_runs": 0  }}
{  "error": "string",  "message": "string",  "feature": "string",  "field": "string",  "plan": "string",  "retry_after_sec": 0,  "retry_after_seconds": 0,  "reason": "string",  "issues": [    null  ],  "trace_id": "string"}
{  "error": "string",  "message": "string",  "feature": "string",  "field": "string",  "plan": "string",  "retry_after_sec": 0,  "retry_after_seconds": 0,  "reason": "string",  "issues": [    null  ],  "trace_id": "string"}
{  "error": "string",  "message": "string",  "feature": "string",  "field": "string",  "plan": "string",  "retry_after_sec": 0,  "retry_after_seconds": 0,  "reason": "string",  "issues": [    null  ],  "trace_id": "string"}
{  "error": "string",  "message": "string",  "feature": "string",  "field": "string",  "plan": "string",  "retry_after_sec": 0,  "retry_after_seconds": 0,  "reason": "string",  "issues": [    null  ],  "trace_id": "string"}
{  "error": "string",  "message": "string",  "feature": "string",  "field": "string",  "plan": "string",  "retry_after_sec": 0,  "retry_after_seconds": 0,  "reason": "string",  "issues": [    null  ],  "trace_id": "string"}
{  "error": "string",  "message": "string",  "feature": "string",  "field": "string",  "plan": "string",  "retry_after_sec": 0,  "retry_after_seconds": 0,  "reason": "string",  "issues": [    null  ],  "trace_id": "string"}
{  "error": "string",  "message": "string",  "feature": "string",  "field": "string",  "plan": "string",  "retry_after_sec": 0,  "retry_after_seconds": 0,  "reason": "string",  "issues": [    null  ],  "trace_id": "string"}